#
# spec file for package apache2-mod_accounting (Version 0.5)
#

# norootforbuild

Name:		apache2-mod_accounting
BuildRequires:	apache2-devel
BuildRequires:	mysql-devel sed postgresql91-devel
%define modname mod_accounting
%define apxs /usr/sbin/apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Version:	0.5
Release:	9.11
License:	Apache License
Group:		Productivity/Networking/Web/Servers
Requires:	apache2 %{apache_mmn} 
Autoreqprov:	on
Summary:	opposite of mod_proxy_add_forward
Url:		http://stderr.net/apache/rpaf/
Source0:	http://stderr.net/apache/rpaf/download/%{modname}-%{version}.tar.gz
Source1:	mod_accounting.conf
Patch0:		%{modname}-%{version}_httpd2x.patch
Patch1:		%{modname}-%{version}_dynamic_makefile.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
mod_accounting is a simple Apache module that can record traffic statistics into a database (bytes in/out per http request).

%prep
%setup -n %{modname}-%{version}
%patch0 -p1
%patch1
sed -i s@apxs2@%{apxs}@g Makefile

%build
%__make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
mkdir -p $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/
cp -p .libs/%{modname}.so $RPM_BUILD_ROOT/%{apache_libexecdir}/%{modname}.so
cp %{S:1} $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/%{modname}.conf

%files
%defattr(-,root,root)
%doc ChangeLog README LICENSE schema.sql
%{apache_libexecdir}/*.so
%{apache_sysconfdir}/conf.d/%{modname}.conf

%changelog
* Mon Dec 01 2008 Carsten Schoene <cs@linux-administrator.com>
- initial package (0.5)
